Zum Hauptinhalt springen

Get a zone file for a DNS Zone

GET/v2/dns-zones/{dnsZoneId}/zone-file
API-Version
v2
Request-Methode
GET
Operation-ID
dns-get-zone-file

Returns a BIND-compliant DNS zone file per RFC 1035 for the specified dnsZoneId, including all sub zone information. Entering the dnsZoneId of a sub zone will result in an error.

Request​

  • dnsZoneIdstring (uuid)required

    ID of the DNSZone to get a zone file for.

Responses​

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/dns-zones/f0f86186-0a5a-45b2-aa33-502777496347/zone-file
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.domain.dnsGetZoneFile({
"dnsZoneId": "f0f86186-0a5a-45b2-aa33-502777496347"
});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\Domain\DnsGetZoneFile\DnsGetZoneFileRequest;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

$request = (new DnsGetZoneFileRequest(
dnsZoneId: "f0f86186-0a5a-45b2-aa33-502777496347"
));
$response = $client->domain()->dnsGetZoneFile($request);

var_dump($response->getBody();

Auf dieser Seite